//
//messageq.c
//
//
//-UserX 2001/11/09

#include "msgcore/messageq.h"
#include "base/ptrarray.h"

MessageQueue *msgqMake(void) {
	return (MessageQueue *) ptrarrayMake();
}

void msgqCompact(MessageQueue *mq) {
	ptrarrayCompact((PointerArrayHandle *) mq);
}

void msgqAdd(MessageQueue *mq, Message *msg) {
	ptrarrayAdd((PointerArrayHandle *) mq, msg);
}

void msgqDelete(MessageQueue *mq, Message *msg) {
	ptrarrayDelete((PointerArrayHandle *) mq, msg);
}

